package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.vo.PianoRoomSettingsVo;
import com.yonge.cooleshow.biz.dal.dto.search.PianoRoomSettingsSearch;
import com.yonge.cooleshow.biz.dal.entity.PianoRoomSettings;

import java.util.List;

/**
 *  服务类
 * @author liweifan
 * @date 2022-05-30
 */
public interface PianoRoomSettingsService extends IService<PianoRoomSettings>  {

	/**
     * 查询详情
     * @author liweifan
 	 * @date 2022-05-30
     */
	PianoRoomSettingsVo detail(Long id);

    /**
     * 分页查询
     * @author liweifan
 	 * @date 2022-05-30
     */
    IPage<PianoRoomSettingsVo> selectPage(IPage<PianoRoomSettingsVo> page, PianoRoomSettingsSearch query);

	List<PianoRoomSettingsVo> selectList(PianoRoomSettingsSearch query);
}