package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yonge.cooleshow.biz.dal.entity.UserBindingTeacher;
import com.yonge.cooleshow.biz.dal.vo.CourseStudentVo;
import com.yonge.cooleshow.biz.dal.vo.TeacherVo;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * @Author: cy
 * @Date: 2022/5/26
 */
public interface UserBindingTeacherDao extends BaseMapper<UserBindingTeacher> {
    //查询学员
    IPage<CourseStudentVo> selectStudent(Page<CourseStudentVo> pageInfo, @Param("param") Map<String, Object> param);
    //查询绑定的老师
    TeacherVo getBindTeacherByPhone(@Param("phone") String phone);

}